### Method

# Gtk.Native.get_surface_transform

#### Declaration [src]

    void
    gtk_native_get_surface_transform (
      GtkNative* self,
      double* x,
      double* y
    )

#### Description [src]

Retrieves the surface transform of `self`.

This is the translation from `self`‘s surface coordinates into `self`‘s widget coordinates.

#### Parameters

`x` | `double*`
| return location for the x coordinate
| Direction: out
| Ownership of the data is transferred to the callee
`y` | `double*`
| return location for the y coordinate
| Direction: out
| Ownership of the data is transferred to the callee